package example.codes;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.silanis.esl.sdk.*;
import com.silanis.esl.sdk.builder.*;

public class ChangePackageStatusToDraft {


	public static void main(String[] args) {
		
		EslClient client = new EslClient(MyInfo.API_KEY_SANDBOX, MyInfo.API_URL_SANDBOX);
		
		 DocumentPackage superDuperPackage = PackageBuilder.newPackageNamed("ChangePackageStatusExample " + new SimpleDateFormat("HH:mm:ss").format(new Date()))
	                .describedAs("This is a package created using the eSignLive SDK")
	                .withSigner(SignerBuilder.newSignerWithEmail("john.smith@mailinator.com")
	                                    .withFirstName("John")
	                                    .withLastName("Smith")
	                                    .withCustomId("Signer1"))
	                .withDocument(DocumentBuilder.newDocumentWithName("First Document")
	                                      .fromFile("C:/Users/hhaidary/Desktop/pdf/doc1.pdf")
	                                      .withSignature(SignatureBuilder.signatureFor("john.smith@mailinator.com")
	                                                             .onPage(0)
	                                                             .atPosition(100, 100)))
	                .build();
	 
		 PackageId packageId = client.createPackage( superDuperPackage );
		 client.sendPackage( packageId );
		 
		 client.changePackageStatusToDraft(packageId);

	}

}
